org.apache.ignite.internal.processors.odbc.odbc

## Class OdbcQueryExecuteResult

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.odbc.OdbcQueryExecuteResult

    public class OdbcQueryExecuteResult
    extends Object

SQL listener query execute result.

### Constructor Summary

Constructors
Constructor and Description
`OdbcQueryExecuteResult(long queryId, Collection<OdbcColumnMeta> columnsMetadata, Collection<Long> affectedRows)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<Long>` `affectedRows()`
`Collection<OdbcColumnMeta>` `columnsMetadata()`
`long` `queryId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OdbcQueryExecuteResult

    public OdbcQueryExecuteResult(long queryId,
                                  Collection<OdbcColumnMeta> columnsMetadata,
                                  Collection<Long> affectedRows)

Parameters:
  `queryId` - Query ID.
  `columnsMetadata` - Columns metadata.
  `affectedRows` - Affected rows.

### Method Detail

#### queryId

    public long queryId()

Returns:
  Query ID.

#### columnsMetadata

    public Collection<OdbcColumnMeta> columnsMetadata()

Returns:
  Columns metadata.

#### affectedRows

    public Collection<Long> affectedRows()

Returns:
  Number of rows affected by the statements.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018